# std::ratio_greater

From cppreference.com
< cpp‎ | numeric‎ | ratio

Defined in header `<ratio>` |  |
template< class R1, class R2 > struct ratio_greater : std::integral_constant ; |  | (since C++11)

If the ratio `R1` is greater than than the ratio `R2`, provides the member constant `value` equal true. Otherwise, `value` is false.

### Helper variable template

template< class R1, class R2 > inline constexpr bool ratio_greater_v = ratio_greater<R1, R2>::value; |  | (since C++17)

## Inherited from std::integral_constant

### Member constants

value [static] | true if R1::num * R2::den > R2::num * R1::den, or equivalent expression that avoids overflow , false otherwise (public static member constant)

### Member functions

operator bool | converts the object to bool, returns `value` (public member function)
operator() (C++14) | returns `value` (public member function)

### Member types

Type | Definition
`value_type` | `bool`
`type` | std::integral_constant <bool, value>

### Example

| This section is incomplete Reason: no example

### See also

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/ratio/ratio_greater&oldid=106111"